%define name libogg
%define version	1.0
%define prefix %{_prefix}
%define release 0.beta4.1mdk
%define lib_name_orig libogg
%define lib_major 0
%define lib_name %{lib_name_orig}%{lib_major}

Name: %{name}
Summary: Ogg Bitstream Library
Version: %{version}
Release: %{release}
Group: System/Libraries
Copyright: BSD
URL: http://www.xiph.org/
Source:	ftp://ftp.xiph.org/pub/ogg/%{name}-%{version}beta4.tar.bz2
Patch0: libogg-fix-optflags.patch.bz2
BuildRoot: %{_tmppath}/%{name}-root

%description
Libogg is a library for manipulating ogg bitstreams. It handles
both making ogg bitstreams and getting packets from ogg bitstreams.

%package -n %{lib_name}
Summary: Main library for %{name}
Group: System/Libraries

%description -n %{lib_name}
This package contains the library needed to run programs dynamically
linked with %{name}.

%package -n %{lib_name}-devel
Summary: Headers for developing programs that will use %{name}
Group: Development/C
Requires: %{lib_name} = %{version}
Provides: %{lib_name_orig}-devel = %{version}-%{release}

%description -n %{lib_name}-devel
This package contains the headers that programmers will need to develop
applications which will use %{name}.

%prep
%setup -q -n %{name}-%{version}beta4
%patch0 -p0

%build
autoconf
%configure --includedir=%{_includedir}/ogg
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall includedir=$RPM_BUILD_ROOT/%{_includedir}/ogg

%clean 
rm -rf $RPM_BUILD_ROOT

%post -n %{lib_name} -p /sbin/ldconfig

%postun -n %{lib_name} -p /sbin/ldconfig

%files -n %{lib_name}
%defattr(-,root,root)
%doc AUTHORS CHANGES COPYING README
%{_libdir}/*.so.*

%files -n %{lib_name}-devel
%defattr(-,root,root)
%doc doc/*.html doc/*.png
%{_includedir}/ogg
%{_libdir}/*.a
%{_libdir}/*.so
%{_datadir}/aclocal/*

%changelog
* Fri Mar  9 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0-0.beta4.1mdk
- beta 4 release
- fix provides
- now under BSD license

* Mon Dec 11 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0-0.beta3.2mdk
- fixes optflags

* Mon Nov 27 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0-0.beta3.1mdk
- Package for Linux-Mandrake

* Sat Sep 02 2000 Jack Moffitt <jack@icecast.org>
- initial spec file created
